package com.xzzn.ems.domain;

import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * 【请填写功能名称】对象 ems_mqtt_message
 *
 * @author xzzn
 * @date 2025-06-27
 */
public class EmsMqttMessage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String mqttTopic;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String mqttMessage;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setMqttTopic(String mqttTopic)
    {
        this.mqttTopic = mqttTopic;
    }

    public String getMqttTopic()
    {
        return mqttTopic;
    }

    public void setMqttMessage(String mqttMessage)
    {
        this.mqttMessage = mqttMessage;
    }

    public String getMqttMessage()
    {
        return mqttMessage;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("mqttTopic", getMqttTopic())
                .append("mqttMessage", getMqttMessage())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
